Package org.pentaho.reporting.libraries.formula.function

# Class AbstractFunctionCategory

java.lang.Object
org.pentaho.reporting.libraries.formula.function.AbstractFunctionCategory

All Implemented Interfaces:
  `FunctionCategory`

Direct Known Subclasses:
  `DateTimeFunctionCategory`, `FinancialFunctionCategory`, `InformationFunctionCategory`, `InvalidFunctionCategory`, `LogicalFunctionCategory`, `MathFunctionCategory`, `RoundingFunctionCategory`, `TextFunctionCategory`, `UserDefinedFunctionCategory`

public class AbstractFunctionCategory extends Object implements FunctionCategory
Creation-Date: 05.11.2006, 14:31:22

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getDescription(Locale locale)`
`String`
`getDisplayName(Locale locale)`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDisplayName

public String getDisplayName(Locale locale)

Specified by:
  `getDisplayName` in interface `FunctionCategory`

### getDescription

public String getDescription(Locale locale)

Specified by:
  `getDescription` in interface `FunctionCategory`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`